Bug 1683620 (CVE-2019-9199) - CVE-2019-9199 podofo: Null pointer dereference in function PoDoFo::Impose::PdfTranslator::setSource() in pdftranslator.cpp
Summary: CVE-2019-9199 podofo: Null pointer dereference in function PoDoFo::Impose::Pd...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-9199
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1683641 1683640
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-27 11:52 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:48:58 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-02-27 11:52:51 UTC
PoDoFo::Impose::PdfTranslator::setSource() in pdftranslator.cpp in PoDoFo 0.9.6 has a NULL pointer dereference that can (for example) be triggered by sending a crafted PDF file to the podofoimpose binary. It allows an attacker to cause Denial of Service (Segmentation fault) or possibly have unspecified other impact.

Reference:
https://sourceforge.net/p/podofo/tickets/40/

Comment 1 Dhananjay Arunesh 2019-02-27 12:29:40 UTC
Created podofo tracking bugs for this issue:

Affects: fedora-all [bug 1683640]

Comment 2 Dhananjay Arunesh 2019-02-27 12:30:07 UTC
Created podofo tracking bugs for this issue:

Affects: epel-all [bug 1683641]

Comment 3 Product Security DevOps Team 2019-06-10 10:48:58 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.